<?php

use App\Http\Controllers\Exports\ExportController;
use App\Http\Controllers\Imports\ImportController;
use Illuminate\Support\Facades\Route;


Route::group(['prefix' => 'export', 'as' => 'export.'], function () {
    Route::group(['prefix' => 'bookings', 'as' => 'bookings.'], function () {
        Route::get('/sales-invoices', [ExportController::class, 'salesInvoices'])->name('sales_invoices');
        Route::get('/sales-invoices-refund', [ExportController::class, 'salesInvoicesWithRefund'])->name('sales_invoices_w_refund');
    });
    Route::group(['prefix' => 'companies', 'as' => 'companies.'], function () {
        Route::get('/customers-data', [ExportController::class, 'companies'])->name('customers_data');
    });
    Route::group(['prefix' => 'transactions', 'as' => 'transactions.'], function () {
        Route::get('/ar-credit-note', [ExportController::class, 'arCreditNote'])->name('ar_credit_note');
        Route::get('/receive-payment-deposit-entry', [ExportController::class, 'receivePaymentDepositEntry'])->name('receive_payment_deposit_entry');
        Route::get('/receive-payment-for-booking', [ExportController::class, 'receivePaymentDepositForBooking'])->name('receive_payment_for_booking');
        Route::get('/wallet-top-up-deposit-entry', [ExportController::class, 'walletTopUpDepositEntry'])->name('wallet_top_up_deposit_entry');
        Route::get('/sales-deposit-by-wallet-payment-entry', [ExportController::class, 'salesDepositByWalletPaymentEntry'])->name('sales_deposit_by_wallet_payment_entry');
        Route::get('/sales-deposit-by-wallet-refund-entry', [ExportController::class, 'salesDepositByWalletRefundEntry'])->name('sales_deposit_by_wallet_refund_entry');
        Route::get('/sales-deposit-by-wallet-deposit-entry', [ExportController::class, 'salesDepositByWalletDepositEntry'])->name('sales_deposit_by_wallet_deposit_entry');
    });
});

Route::group(['prefix' => 'import', 'as' => 'import.'], function () {
    Route::post('/import/sales-invoice', [ImportController::class, 'salesInvoices'])->name('sales_invoices');
    Route::post('/import/offical-receipt', [ImportController::class, 'officialReceipt'])->name('official_receipt');
    Route::post('/import/sales-deposit', [ImportController::class, 'salesDeposit'])->name('sales_deposit');
    Route::post('/import/credit-note', [ImportController::class, 'creditNote'])->name('credit_note');
});
